[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.Click

Performs actions needed when the Left mouse button is clicked on the tree view control.

## Declaration

Source position: comctrls.pp line 3597

`protected procedure TCustomTreeView.Click; override;`

## Description

Click is an overridden method in TCustomTreeView. It calls the inherited method when the mouse event occurs on a node with an expand / collapse indicator. Click is called when the mouse up event is handled for the corresponding mouse down event.

## See also

TCustomTreeView.MouseDown |  | Handles mouse down events for the tree view control.
TCustomTreeView.MouseUp |  | Handles a mouse up event for the control.
TControl.Click |  | Signals OnClick and/or executes the ActionLink when the control has been clicked.